org.apache.jmeter.protocol.http.modifier

## Class RegExUserParameters

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.protocol.http.modifier.RegExUserParameters

All Implemented Interfaces:
  Serializable, Cloneable, Searchable, PreProcessor, TestElement

    public class RegExUserParameters
    extends AbstractTestElement
    implements Serializable, PreProcessor

This component allows you to specify reference name of a regular expression that extracts names and values of HTTP request parameters. Regular expression group numbers must be specified for parameter's name and also for parameter's value. Replacement will only occur for parameters in the Sampler that uses this RegEx User Parameters which name matches

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `REG_EX_PARAM_NAMES_GR_NR`
`static String` `REG_EX_PARAM_VALUES_GR_NR`
`static String` `REG_EX_REF_NAME`

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`RegExUserParameters()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()` A new instance is created for each thread group, and the clone() method is then called to create copies for each thread in a thread group.
`String` `getRegExParamValuesGrNr()`
`String` `getRegExRefName()`
`String` `getRegParamNamesGrNr()`
`void` `process()`
`void` `setRegExParamNamesGrNr(String str)`
`void` `setRegExParamValuesGrNr(String str)`
`void` `setRegExRefName(String str)`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Field Detail

#### REG_EX_REF_NAME

    public static final String REG_EX_REF_NAME

See Also:
  Constant Field Values

#### REG_EX_PARAM_NAMES_GR_NR

    public static final String REG_EX_PARAM_NAMES_GR_NR

See Also:
  Constant Field Values

#### REG_EX_PARAM_VALUES_GR_NR

    public static final String REG_EX_PARAM_VALUES_GR_NR

See Also:
  Constant Field Values

### Constructor Detail

#### RegExUserParameters

    public RegExUserParameters()

### Method Detail

#### process

    public void process()

Specified by:
  `process` in interface `PreProcessor`

#### clone

    public Object clone()

A new instance is created for each thread group, and the clone() method is then called to create copies for each thread in a thread group.

Specified by:
  `clone` in interface `TestElement`
Overrides:
  `clone` in class `AbstractTestElement`

#### setRegExRefName

    public void setRegExRefName(String str)

#### getRegExRefName

    public String getRegExRefName()

#### setRegExParamNamesGrNr

    public void setRegExParamNamesGrNr(String str)

#### getRegParamNamesGrNr

    public String getRegParamNamesGrNr()

#### setRegExParamValuesGrNr

    public void setRegExParamValuesGrNr(String str)

#### getRegExParamValuesGrNr

    public String getRegExParamValuesGrNr()